:: I-X Austin Tate 8-Sep-2003
:: assumes we are in apps\adon\map
setlocal
pushd .
cd ..\..
set app_path=.\java

set ix_base=..\..\..
if exist %ix_base%\ix.jar set ix_path=%ix_base%\ix.jar
if not exist %ix_base%\ix.jar set ix_path=%ix_base%\java
set ix_path=%ix_path%;%ix_base%\imports\xerces.jar
set ix_path=%ix_path%;%ix_base%\imports\jdom.jar
:: set ix_path=%ix_path%;%ix_base%\imports\junit.jar
:: set ix_path=%ix_path%;%ix_base%\imports\mgraph.jar
set ix_path=%ix_path%;.\imports\openmap.jar

set all_path=%app_path%;%ix_path%

javac -classpath %all_path% java\ix\ip2\*.java

popd
endlocal
pause
